summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartchus2021-01-05 01:29:55 +0100
committerMartchus2021-01-05 01:29:55 +0100
commit123a65765fcce004ba23ec7f12e28c2510030d00 (patch)
treecb53725764c0096cceda6d85911a3b739a86d5b9
downloadaur-123a65765fcce004ba23ec7f12e28c2510030d00.tar.gz
Initial import; Qt 6.0.0
-rw-r--r--.SRCINFO26
-rw-r--r--PKGBUILD47
-rw-r--r--PKGBUILD.sh.ep11
-rw-r--r--qttranslations-sha256.txt1
4 files changed, 85 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a63374e1701
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,26 @@
+pkgbase = android-aarch64-qt6-translations
+ pkgdesc = A cross-platform application and UI framework (Translations, android)
+ pkgver = 6.0.0
+ pkgrel = 1
+ url = https://www.qt.io
+ arch = any
+ groups = android-aarch64-qt6
+ license = GPL3
+ license = LGPL3
+ license = FDL
+ license = custom
+ makedepends = android-cmake
+ makedepends = android-aarch64-qt6-tools
+ makedepends = qt6-tools
+ makedepends = ninja
+ makedepends = java-environment-openjdk=8
+ depends = android-aarch64-qt6-base
+ options = !strip
+ options = !buildflags
+ options = staticlibs
+ options = !emptydirs
+ source = https://download.qt.io/official_releases/qt/6.0/6.0.0/submodules/qttranslations-everywhere-src-6.0.0.tar.xz
+ sha256sums = ed6487425c17e88531e825c44820c1f47c9b7dc0918125e5d45ccc36fdc679d5
+
+pkgname = android-aarch64-qt6-translations
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f63bdf60686
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Martchus <martchus@gmx.net>
+
+# All my PKGBUILDs are managed at https://github.com/Martchus/PKGBUILDs where
+# you also find the URL of a binary repository.
+
+_android_arch=aarch64
+pkgname=android-$_android_arch-qt6-translations
+_qtver=6.0.0
+pkgver=${_qtver/-/}
+pkgrel=1
+arch=(any)
+url='https://www.qt.io'
+license=(GPL3 LGPL3 FDL custom)
+pkgdesc='A cross-platform application and UI framework (Translations, android)'
+depends=('android-aarch64-qt6-base')
+makedepends=('android-cmake' 'android-aarch64-qt6-tools' 'qt6-tools' 'ninja' 'java-environment-openjdk=8')
+options=('!strip' '!buildflags' 'staticlibs' '!emptydirs')
+groups=(android-${_android_arch}-qt6)
+_pkgfqn="qttranslations-everywhere-src-${_qtver}"
+source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfqn}.tar.xz")
+sha256sums=('ed6487425c17e88531e825c44820c1f47c9b7dc0918125e5d45ccc36fdc679d5')
+
+build() {
+ source android-env ${_android_arch}
+ android-${_android_arch}-cmake -G Ninja -B build-$_android_arch -S $_pkgfqn \
+ -DCMAKE_FIND_ROOT_PATH="${ANDROID_PREFIX}" \
+ -DQT_BINARY_DIR=${ANDROID_PREFIX_BIN} \
+ -DQT_INCLUDE_DIRS_NO_SYSTEM=ON \
+ -DQT_HOST_PATH=/usr \
+ -DANDROID_SDK_ROOT=${ANDROID_HOME} \
+ -DANDROID_NDK_ROOT=${ANDROID_NDK_HOME} \
+ -DANDROID_STL="c++_shared" \
+ -DFEATURE_pkg_config=ON
+ cmake --build build-$_android_arch
+}
+
+package() {
+ DESTDIR="$pkgdir" cmake --install build-$_android_arch
+
+ find ${pkgdir}/${ANDROID_PREFIX} -type f -name 'lib*.so' -exec ${ANDROID_STRIP} -g --strip-unneeded {} \;
+ find ${pkgdir}/${ANDROID_PREFIX} -type f -name 'lib*.a' -exec ${ANDROID_STRIP} -g {} \;
+ [[ -d "${pkgdir}/${ANDROID_PREFIX}/share/doc" ]] && rm -r "${pkgdir}/${ANDROID_PREFIX}/share/doc" || true
+
+ install -d "$pkgdir"/usr/share/licenses
+ ln -s /usr/share/licenses/android-$_android_arch-qt6-base "$pkgdir"/usr/share/licenses/$pkgname
+
+}
diff --git a/PKGBUILD.sh.ep b/PKGBUILD.sh.ep
new file mode 100644
index 00000000000..ae882078a64
--- /dev/null
+++ b/PKGBUILD.sh.ep
@@ -0,0 +1,11 @@
+% layout 'android-qt6-module', no_libs => 1;
+\
+_qtver=6.0.0
+pkgver=${_qtver/-/}
+pkgrel=1
+arch=(any)
+url='https://www.qt.io'
+license=(GPL3 LGPL3 FDL custom)
+pkgdesc='A cross-platform application and UI framework (Translations, android)'
+depends=(<%== qt6deps qw(base) %>)
+makedepends=('android-cmake<%== $static_suffix %>' <%== qt6deps qw(tools) %> 'qt6-tools' 'ninja' 'java-environment-openjdk=8')
diff --git a/qttranslations-sha256.txt b/qttranslations-sha256.txt
new file mode 100644
index 00000000000..e8d931a934a
--- /dev/null
+++ b/qttranslations-sha256.txt
@@ -0,0 +1 @@
+ed6487425c17e88531e825c44820c1f47c9b7dc0918125e5d45ccc36fdc679d5